package cz.muni.fi.pb162.exceptions;

/**
 * Toto rozhrani reprezentuje nejakou tridu, 
 * ktera je schopna zasilat zpravy.
 *
 * @author Tomas Pitner
 * @author Petr Adamek
 */
public interface Messenger {
    
    /**
     * Zasle zpravu prislusnemu prijemci. 
     *
     * @param message zprava, ktera ma byt poslana
     * @throws cz.muni.fi.pb162.exceptions.MessageException pokud se z
     * nejakeho duvodu poslani nezdari
     */
    public void send(Message message) throws MessageException; 
    
}
